//program: 0_master.do
//project: Master do file that will create a clean dataset and run analyses.
 
clear
set more off
global sysdate=c(current_date)
global do "D:\ahd\researchers\jhs\jhs_projects\do_files\sexism replication files"

/*
This study uses restricted data from the National Longitudinal Study of Adolescent to Adult Health (Add Health).
The extensive restricted-use data, available by contractual agreement, contains data for all study participants and will be distributed only to certified researchers who commit themselves to maintaining limited access. To be eligible to enter into a contract, researchers must have an IRB-approval letter, security plan for handling and storing sensitive data, and sign a data-use contract agreeing to keep the data confidential.

To learn more about the restricted-use data and how to apply for restricted-use data, please access the CPC Data Portal:https://data.cpc.unc.edu/projects/2/view
*/

//1. 
//create copies of raw SAS files and save copies of .dta files in raw_data. This only needs to be run once (and takes about 15 minutes to run)
//cd "$do"
//do 1_sas_dta.do 

//2.
//Clean and code variables from each data file
cd "$do"
do 2_clean_data.do

//3.
//Merge data files
cd "$do"
do 3_merge_data.do

//4.
//Clean merged file 
//creates early birth measure
//creates school-level averages to be used in interactional sexism measures
cd "$do"
do 4_clean_merged.do

//5.
//Reshape data to person-year format
cd "$do"
do 5_reshape_data

//6.
//Define analytic sample and create standardized sexism measures
cd "$do"
do 6_analytic_sample

//7.
//Analysis
//creates tables and figures in paper
cd "$do"
do 7_analyze_data
