//author: Rebecca Bielamowicz
//program: 1_sas_dta.do
//project: .do file that will create .dta copies of all SAS files on terminal server and save them in the raw_data folder. 

cap log close
set more off
global log "D:/ahd/researchers/jhs/jhs_projects/log_files/sexism replication logs"
global sysdate=c(current_date)

cd "$log"
log using "1_sas_dta_$sysdate.log", replace


* Define path globals
global w1path "D:/ahd/adhealth/wave1"
global w1kathie "D:/ahd/adhealth/harris_SOCI_826"
global w4path "D:/ahd/adhealth/wave5"
global w5path "D:/ahd/adhealth/wave5"
global construc "D:/ahd/adhealth/constructed"
global raw "D:/ahd/researchers/jhs/jhs_projects/raw_data"

************************************************************************************
* Create .dta copies of SAS files, save in raw_data folder. 
* This makes running the cleaning file easier, since the .dta copies run much faster.
************************************************************************************
///////WAVE 1
* Wave 1 In-Home File
fdause "$w1path/allwave1", clear
save "$raw/allwave1.dta", replace

* Wave 1 Contextual file
fdause "$w1path/context1"
save "$raw/context1.dta", replace

*Wave 1 weights
fdause "$w1path/Homewt1", clear
save "$raw/Homewt1.dta", replace

fdause "$w1path/w1homewc", clear
save "$raw/w1homewc.dta", replace

*Wave 1 constructed family structure
fdause "$construc/famst", clear
save "$raw/famst.dta", replace

* Kathie File
//fdause "$w1kathie/khses", clear
//save "$raw/khses.dta", replace

* Wave 4
fdause "$w4path/wave4", clear
save "$raw/wave4.dta", replace

* Wave 4 Pregnancy Table
fdause "$w4path/sect18", clear
save "$raw/sect18.dta", replace

* Wave 5
fdause "$w5path/wave5", clear
save "$raw/wave5.dta", replace

* Group files
fdause "D:\ahd\adhealth\wave5\W1_5GRP", clear
save "$raw/w1_5grp.dta", replace

log close