//author: Rebecca Bielamowicz and Jessica Su
//program: 3_merge_data.do
//project: do file that merges all edited files together

cap log close
set more off

* Define path globals
global data "D:/ahd/researchers/jhs/jhs_projects/data"
global log "D:/ahd/researchers/jhs/jhs_projects/log_files/sexism replication logs"
global sysdate=c(current_date)

cd "$log"
log using "3_merge_data_$sysdate.log", replace


***********************************************************************************
***********************************************************************************
********************************* MERGE FILES *************************************
********************************* MERGE FILES *************************************
***********************************************************************************
***********************************************************************************

// Individual-Level Files. All files are all stored in the same folder, so no need to change working directories.
cd "$data"
use allwave1_edit, clear

merge 1:1 aid using khses_edit
drop _merge

merge 1:1 aid using wave5_edit								
drop _merge

merge 1:1 aid using wave4_edit
drop _merge

//wave 4 pregnancy file		
merge 1:1 aid using sect18_edit						
drop _merge

merge 1:1 aid using allwave1_edit
drop _merge

merge 1:1 aid using context1_edit
drop _merge

merge 1:1 aid using Homewt1_edit							
drop _merge

merge 1:1 aid using famst_edit
drop _merge

//Merge wave1 weight components (level-1 adolescent weight and level-2 school weight)
merge 1:1 aid using w1homewc_edit
drop _merge

//merge group id (with state identifier)
merge 1:1 aid using w1_5grp_edit
drop _merge


save "$data/jhs_data", replace

log close
